/* Global font */
h2 {
    font-family: 'Lucida Handwriting Std', sans-serif;
    font-weight: 500 !important;
    font-size: 30px !important;
}

.m-t-40 {
    margin-top: 40px;
}


.bloc-page-blog .blog-text h2 {
    font-size: 28px;
    color: rgba(9, 13, 31, 1);
    margin: 0px;
}

.bloc-page-blog .blog-text h3 {
    font-size: 24px;
    color: rgba(9, 13, 31, 1);
    margin: 0px;
}

.bloc-page-blog .blog-text h4 {
    font-size: 20px;
    color: rgba(9, 13, 31, 1);
    margin: 0px;
}

.bloc-page-blog .blog-text h5 {
    font-size: 16px;
    color: rgba(9, 13, 31, 1);
    margin: 0px;
}

/* ------------------------------------------------------------ */
/* --------------------- BLOCS OVERRIDE ----------------------- */
/* ------------------------------------------------------------ */
.bloc-color-primary-title .bloc-color-primary-title-container {
    background: var(--main-primary-gradient, var(--main-primary-color));
}

.bloc-newsletter-color-container .title {
    background: var(--main-primary-gradient, var(--main-primary-color));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.bloc-newsletter-color-container .sub-title {
    color: #1D1D1B !important;
}

/* ------------------------------------------------------------ */
/* --------------------------- BTN ---------------------------- */
/* ------------------------------------------------------------ */
.btn.btn-primary {
    position: relative;
    border-radius: 8px;
    background: #fff;
    z-index: 1;
    border: none;
    background-clip: padding-box, border-box;
}

.btn.btn-primary::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;
    background: var(--main-primary-gradient);
    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    z-index: -1;
}

.btn.btn-primary:hover {
    background: #fff !important;
    background-image: var(--main-primary-gradient) !important;
    -webkit-background-clip: text !important;
    -webkit-text-fill-color: transparent;
}

.btn.btn-primary:focus {
    outline: none !important;
    border: none;
}

/* ---------------------------------------------------------------------------------- */
/* --------------------------- OVERRIDE COOKIE BTN COLOR ---------------------------- */
/* ---------------------------------------------------------------------------------- */
.bloc-cookies .btn.btn-primary {
    background: #fff;
}

.bloc-cookies .btn.btn-primary::before {
    background: none;
}